%define kdename kmag
%define	version 0.1
%define release 11mdk
%define kde1dir %{_libdir}/kde1-compat

Name:		%{kdename}
Summary:	Magnifying glass utility
Version:	%{version}
Release:	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1:	COPYING
Group:		Accessibility
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	qt kdelibs

%description
Magnifying glass utility for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}

%build
export KDEDIR=%{kde1dir}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{kde1dir} --exec-prefix=%{kde1dir} --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
export KDEDIR=%{_prefix}

make prefix=$RPM_BUILD_ROOT%{kde1dir} \
exec_prefix=$RPM_BUILD_ROOT%{kde1dir} \
kde_bindir=$RPM_BUILD_ROOT%{kde1dir}/bin \
kde_appsdir=$RPM_BUILD_ROOT%{kde1dir}/share/applnk \
kde_htmldir=$RPM_BUILD_ROOT%{_docdir}/kde1/HTML \
kde_datadir=$RPM_BUILD_ROOT%{kde1dir}/share/apps \
bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_icondir=$RPM_BUILD_ROOT%{_iconsdir} \
kde_minidir=$RPM_BUILD_ROOT%{_miconsdir} install

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT/%{_menudir}/%name <<EOF
?package(kmag): command="/usr/bin/kmag" needs="X11" \
icon="kmag.xpm" section="Applications/Accessibility" \
title="Kmag" longtitle="An utility which enables you \
to enlarge parts of your desktop"
EOF

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,755)
%doc COPYING
%{_bindir}/*
%{_menudir}/kmag
%{_iconsdir}/kmag.xpm
%{_miconsdir}/kmag.xpm

%changelog
* Mon Oct 9 2000 Montel Laurent <lmontel@mandrakesoft.com> 0.1-11mdk
- remove Mimetype and internationalisation

* Fri Sep 15 2000 David BAUDENS <baudens@mandrakesoft.com> 0.1-10mdk
- Move into accessibility

* Fri Sep 08 2000 JeanDo Lenard <jdlenard@mandrakesoft.com> 0.1-9mdk
- Corrected language macros

* Thu Aug 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1-8mdk
- adding correct locale path

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.1-7mdk
- clean spec file
- add Copyright

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.1-6mdk

- File list update
- %post* scripts update
- Menu entry update

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>

- Don't use prefix - too much hassle
- Added menu entry
- Changed group to match 7.1 specs
- Spec file reworks

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

